%define _name ggv

Name: ggv2
Version: 1.99.98
Release: alt1

Summary: GNOME PostScript viewer
License: GPL
Group: Office
Url: http://www.gnome.org/
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: %_name-%version.tar.bz2
Source1: ggv_16.xpm
Source2: ggv_32.xpm
Source3: ggv_48.xpm

%define libgnomeui_ver 2.2.0.1-alt2
%define scrollkeeper_ver 0.3.11-alt2
%define GConf_ver 2.2.0
%define libbonoboui_ver 2.2.0

PreReq: GConf2 >= %GConf_ver scrollkeeper >= %scrollkeeper_ver
Requires: ghostscript-gtk >= 7.05

Obsoletes: ggv

BuildPreReq: libgnomeui-devel >= %libgnomeui_ver
BuildPreReq: libbonoboui-devel >= %libbonoboui_ver

# Automatically added by buildreq on Wed Feb 05 2003
BuildRequires: GConf2 ORBit2-devel XFree86-devel XFree86-libs XFree86-locales bonobo-activation-devel esound-devel fontconfig freetype2 ghostscript-lib ghostscript-module-X glib glib2-devel glibc-devel-static gnome-vfs2-devel gtk+ libGConf2-devel libXft libart_lgpl-devel libatk-devel libaudiofile-devel libbonobo2-devel libbonoboui-devel libexpat libgimp-print libgnome-devel libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libjpeg-devel liblinc-devel libpango-devel libpopt-devel libssl-devel libxml2-devel libxslt pkgconfig scrollkeeper zlib-devel

%description
ggv allows you to view PostScript documents, and print ranges
of pages.

%define _libexecdir %_bindir

%prep
%setup -q -n %_name-%version

%build
export ac_cv_path_GS_PROG=/usr/bin/gsx
%configure --enable-platform-gnome-2 \
	    --disable-install-schemas

%make_build

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
export OMF_DIR=%buildroot%_var/lib/scrollkeeper
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL
unset OMF_DIR

# menu
%__mkdir_p %buildroot%_menudir
%__cat << __MENU__ > %buildroot%_menudir/%_name
?package(%name): needs="x11" section="Applications/Publishing" \
title="GGV" longtitle="PostScript Viewer" \
command="%_bindir/%_name" icon="%_name.xpm"
__MENU__

# icons
%__install -pD -m644 %SOURCE1 %buildroot%_miconsdir/%_name.xpm
%__install -pD -m644 %SOURCE2 %buildroot%_iconsdir/%_name.xpm
%__install -pD -m644 %SOURCE3 %buildroot%_liconsdir/%_name.xpm

%find_lang %_name

%post
%gconf2_install %_name
%update_menus
%update_scrollkeeper

%postun
%clean_menus
%clean_scrollkeeper

%files -f %_name.lang
%_bindir/*
%_libdir/bonobo/servers/*
%_datadir/applications/*
%_datadir/gnome-2.0/ui/*
%_datadir/idl/*
%_datadir/omf/*
%_datadir/pixmaps/*
%_menudir/*
%_iconsdir/%_name.xpm
%_iconsdir/*/%_name.xpm
%config %_sysconfdir/gconf/schemas/*
%doc %_datadir/gnome/help/*
%doc AUTHORS ChangeLog MAINTAINERS NEWS README TODO

%changelog
* Tue Feb 04 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.99.98-alt1
- 1.99.98

* Tue Dec 24 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.99.97-alt1
- 1.99.97

* Sun Nov 10 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.99.96-alt1
- 1.99.96

* Sat Oct 26 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.99.95-alt1
- 1.99.95

* Fri Oct 11 2002 Dmitry V. Levin <ldv@altlinux.org> 1.99.90-alt3
- Fixed multiply buffer overflows due to unsafe sscanf() usage.

* Sun Oct 06 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.99.90-alt2
- rebuild with new pango, gtk+

* Wed Sep 18 2002 Yuri N. Sedunov <aris@altlinux.ru> 1.99.90-alt1
- 1.99.90
- updated buildrequires

* Thu Jul 04 2002 Igor Androsov <blake@altlinux.ru> 1.99.7-alt1
- Adopted for Sisyphus.

* Fri Aug 27 1999 Karl Eichwalder <ke@suse.de>
- Added more %doc files
- Fixed the spelling of PostScript and the Source entry

* Sat Aug 21 1999 Herbert Valerio Riedel <hvr@hvrlab.dhs.org>
- Actualized spec file

* Thu Aug 13 1998 Marc Ewing <marc@redhat.com>
- Initial spec file copied from gnome-graphics
